Mac Installation problem

I am attempting to install Arduino onto my Mac computer, but it is giving me an error message that I need to use the legacy java 6 runtime. What is that and how do I make Arduino work when I am running the latest version of java.